/*! purgecss start ignore */
#daily,
#daily_prev,
#daily_next {
	border: 1px solid rgba(30, 30, 30, 0.1);
	border-radius: 5px;
	/* box-shadow: 2px 2px 5px rgba(30, 30, 30, 0.2); */
	padding: 0px;
	position: fixed;
}

#daily_left_panel {
	width: 322px;
	padding-right: 7px !important;
	padding-left: 6px !important;
	background-image: linear-gradient(rgb(255, 240, 230), rgb(255, 240, 220));
	height: calc(100vh - 50px);
}

@media (min-width: 768px) {
	#daily_left_panel {
		height: calc(100vh - 150px);
	}
}

@media (min-width: 992px) {
	#daily_left_panel {
		height: calc(100vh - 100px);
	}
}

@media (min-width: 1200px) {
	#daily_left_panel {
		height: calc(100vh - 50px);
	}
}

#daily_content {
	width: fit-content !important;
	padding-left: 0px !important;
	padding-right: 0px !important;
}

.daily-column {
	width: 300px;
	/* height: 800px; */
	display: inline-block;
	border: 1px solid rgba(30, 30, 30, 0.1);
}

.daily-column-time {
	width: 100px;
	/* height: 800px; */
	display: inline-block;
	border: 1px solid rgba(30, 30, 30, 0.1);
	/* font-size: 90%; */
	/* vertical-align: middle; */
	text-align: center;
}

.daily-column-title {
	background: rgb(3, 169, 244);
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.4);
	padding: 5px;
	font-size: 90%;
	font-family: Roboto, Helvetica Neue, Helvetica, Arial, sans-serif;
	/* background-image: linear-gradient(rgb(30, 199, 255), rgb(3, 169, 244)); */
	text-shadow: 1px 1px 2px #004060;
	color: #fff;
	border-radius: 2px 2px 0 0;
	height: 80px;
}

.daily-column-title-empty {
	background: #fff;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.4);
	padding: 5px;
	font-size: 90%;
	font-family: Roboto, Helvetica Neue, Helvetica, Arial, sans-serif;
	/* background-image: linear-gradient(rgb(30, 199, 255), rgb(3, 169, 244)); */
	text-shadow: 1px 1px 2px #004060;
	/* color: #fff; */
	border-radius: 2px 2px 0 0;
	height: 80px;
}

.daily-column-title-master,
.report-column-title-master {
	margin: 18px 0px 0px 0px;
	font-size: 110%;
	background-color: rgba(100, 100, 100, 0.2);
	border-radius: 6px;
	padding: 2px 4px 2px 4px;
	box-shadow: inset 0 0 3px rgba(100, 100, 100, 0.5);
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	display: inline-block;
	width: 100%;
}

.daily-add,
.daily-add-off,
.daily-wh {
	float: right;
	margin-left: 8px;
	margin-top: -2px;
}

.daily-column-left,
.daily-column-right {
	float: left;
	margin-right: 8px;
	margin-top: -2px;
}

.daily-add:hover,
.daily-wh:hover,
.daily-column-left:hover,
.daily-column-right:hover {
	opacity: 0.8;
}

.daily-add:active,
.daily-wh:active,
.daily-column-left:active,
.daily-column-right:active {
	zoom: 1.1;
}

.daily-add-off {
	opacity: 0.4;
}

.daily-row {
	border: 1px solid rgba(30, 30, 30, 0.1);
	background-color: #fff;
}

.highlighted {
	background-color: #08c;
}

.daily-row-off {
	border: 1px solid rgba(30, 30, 30, 0.1);
	background-color: #ddd;
}

.daily-row-hub {
	border: 1px solid rgba(30, 30, 30, 0.1);
	background-color: #bce;
}

.daily-row-highlight {
	background-image: linear-gradient(rgba(230, 30, 30, 0.2), rgba(230, 30, 30, 0.4));
}

.daily-event {
	border: 1px solid rgba(30, 30, 30, 0.33);
	border-radius: 3px;
	box-shadow: 1px 2px 3px rgba(30, 30, 30, 0.5);
	padding: 0px 4px 0px 4px;
	background-color: #e9f9e9;
	cursor: pointer;
	overflow: hidden;
}

.daily-external {
	/* border: 1px solid rgba(30, 30, 30, 0.33);
	border-radius: 3px; */
	box-shadow: 1px 2px 3px rgba(30, 30, 30, 0.5);
	padding: 0px 4px 0px 4px;
	background-color: #f0f0ff;
	cursor: unset;
	overflow: hidden;
}

input[type="range"] {
	width: 200px;
}

/* input[type="range"][orient="vertical"] {
	writing-mode: bt-lr;
	-webkit-appearance: slider-vertical;
	width: 8px;
	float: right;
	margin-right: 7px;
	height: 68px;
	padding: 0;
	transform: rotate(180deg);
} */

#daily_settings_panel {
	position: absolute;
	top: 100px;
	left: 100px;
	border: 1px solid rgba(30, 30, 30, 0.33);
	border-radius: 3px;
	box-shadow: 1px 2px 3px rgba(30, 30, 30, 0.5);
	padding: 10px;
	background-color: #fff;
	opacity: 0.7;
	z-index: 9999;
}

.daily-btn {
	margin-bottom: 10px;
}

#daily_birthdays {
	border: 1px solid rgba(30, 30, 30, 0.2);
	border-radius: 12px;
	box-shadow: 1px 2px 3px rgba(30, 30, 30, 0.2);
	padding: 10px;
	opacity: 0.85;
	background-image: linear-gradient(rgba(200, 100, 200, 0.1), rgba(200, 100, 200, 0.4));
}

.daily_birthday {
	padding: 5px;
}

#daily_left_panel_hide {
	float: right;
	margin-top: 4px;
}

/* #daily_settings {
	display: initial;
} */

#daily_compact_place {
	max-width: 110px;
}

#daily_top_panel {
	margin-top: -7px;
}

@media only screen and (max-width: 1099px) {
	.daily-column-title-master {
		display: none;
	}

	.daily-column-buttons {
		display: block;
		margin-top: 22px;
	}

	.daily-add,
	.daily-add-off,
	.daily-wh {
		margin-left: 5px;
		font-size: 80%;
	}

	/* #daily_settings {
		display: none;
	} */
}

@media only screen and (max-width: 768px) {
	#daily_left_panel {
		width: 100%;
	}

	.daily-add,
	.daily-add-off,
	.daily-wh {
		margin-left: 3px;
		font-size: 75%;
	}
}

/*! purgecss start ignore */
